## ros-dashing-demo-nodes-cpp 0.7.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(demo_nodes_cpp)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(example_interfaces REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rcutils)
find_package(rmw REQUIRED)
find_package(std_msgs REQUIRED)

function(custom_executable subfolder target)
  add_executable(${target} src/${subfolder}/${target}.cpp)
  ament_target_dependencies(${target}
    "example_interfaces"
    "rclcpp"
    "rcutils"
    "std_msgs")
  install(TARGETS ${target}
  DESTINATION lib/${PROJECT_NAME})
endfunction()

# Tutorials of Publish/Subscribe with Topics
custom_executable(topics talker)
custom_executable(topics listener)
custom_executable(topics listener_best_effort)
custom_executable(topics allocator_tutorial)
custom_executable(topics talker_serialized_message)
custom_executable(topics listener_serialized_message)

# Tutorials of Request/Response with Services
custom_executable(services add_two_ints_client)
custom_executable(services add_two_ints_client_async)
custom_executable(services add_two_ints_server)

# Tutorials of Parameters with Asynchronous and Synchronous
custom_executable(parameters list_parameters)
custom_executable(parameters list_parameters_async)
custom_executable(parameters parameter_blackboard)
custom_executable(parameters parameter_events)
custom_executable(parameters parameter_events_async)
custom_executable(parameters even_parameters_node)
custom_executable(parameters set_and_get_parameters)
custom_executable(parameters set_and_get_parameters_async)

# Tutorials of Timers
custom_executable(timers one_off_timer)
custom_executable(timers reuse_timer)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_pytest REQUIRED)
  find_package(launch_testing_ament_cmake REQUIRED)
  find_package(rmw_implementation_cmake REQUIRED)
  # Add each test case.  Multi-executable tests can be specified in
  # semicolon-separated strings, like  exe1;exe2.
  set(tutorial_tests
    list_parameters_async
    list_parameters
    parameter_events_async
    parameter_events
    set_and_get_parameters_async
    set_and_get_parameters
    "talker:listener")
  set(service_tutorial_tests
    "add_two_ints_server:add_two_ints_client"
    "add_two_ints_server:add_two_ints_client_async"
  )

  macro(tests)
    set(tutorial_tests_to_test ${tutorial_tests})
    list(APPEND tutorial_tests_to_test ${service_tutorial_tests})

    foreach(tutorial_test ${tutorial_tests_to_test})
      string(REPLACE ":" ";" tutorial_executables "${tutorial_test}")
      set(DEMO_NODES_CPP_EXPECTED_OUTPUT "")
      foreach(executable ${tutorial_executables})
        list(APPEND DEMO_NODES_CPP_EXPECTED_OUTPUT "${CMAKE_CURRENT_SOURCE_DIR}/test/${executable}")
      endforeach()

      set(DEMO_NODES_CPP_EXECUTABLE "")
      foreach(executable ${tutorial_executables})
        list(APPEND DEMO_NODES_CPP_EXECUTABLE "$<TARGET_FILE:${executable}>")
      endforeach()

      string(REPLACE ";" "_" exe_list_underscore "${tutorial_executables}")
      configure_file(
        test/test_executables_tutorial.py.in
        test_${exe_list_underscore}${target_suffix}.py.configured
        @ONLY
      )
      file(GENERATE
        OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/test_${exe_list_underscore}${target_suffix}_$<CONFIG>.py"
        INPUT "${CMAKE_CURRENT_BINARY_DIR}/test_${exe_list_underscore}${target_suffix}.py.configured"
      )

      add_launch_test(
        "${CMAKE_CURRENT_BINARY_DIR}/test_${exe_list_underscore}${target_suffix}_$<CONFIG>.py"
        TARGET test_tutorial_${exe_list_underscore}${target_suffix}
        TIMEOUT 60
        ENV
        RCL_ASSERT_RMW_ID_MATCHES=${rmw_implementation}
        RMW_IMPLEMENTATION=${rmw_implementation}
      )
      foreach(executable ${tutorial_executables})
        set_property(
          TEST test_tutorial_${exe_list_underscore}${target_suffix}
          APPEND PROPERTY DEPENDS ${executable}${target_suffix})
      endforeach()
    endforeach()
  endmacro()

  call_for_each_rmw_implementation(tests)
endif()

# Install launch files.
install(DIRECTORY
  launch
  DESTINATION share/${PROJECT_NAME}/
)

ament_package()

=== debian/changelog ===
ros-dashing-demo-nodes-cpp (0.7.9-1bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- William Woodall <william@osrfoundation.org>  Fri, 11 Oct 2019 21:46:12 -0000

ros-dashing-demo-nodes-cpp (0.7.6-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 30 May 2019 07:00:00 -0000

ros-dashing-demo-nodes-cpp (0.7.5-1bionic) bionic; urgency=high

  * Update to use new parameter option names (#355 <https://github.com/ros2/demos/issues/355>)
  * Contributors: William Woodall

 -- William Woodall <william@osrfoundation.org>  Wed, 29 May 2019 07:00:00 -0000

ros-dashing-demo-nodes-cpp (0.7.4-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 20 May 2019 07:00:00 -0000

ros-dashing-demo-nodes-cpp (0.7.3-1bionic) bionic; urgency=high

  * Added the ``parameter_blackboard`` demo to ``demo_nodes_cpp`` to make some tutorials easier. (#333 <https://github.com/ros2/demos/issues/333>)
  * Contributors: William Woodall

 -- William Woodall <william@osrfoundation.org>  Fri, 10 May 2019 07:00:00 -0000

ros-dashing-demo-nodes-cpp (0.7.2-1bionic) bionic; urgency=high

  * changes to avoid deprecated API's (#332 <https://github.com/ros2/demos/issues/332>)
  * Corrected publish calls with shared_ptr signature (#327 <https://github.com/ros2/demos/issues/327>)
  * Migrate launch tests to new launch_testing features & API (#318 <https://github.com/ros2/demos/issues/318>)
  * Contributors: Michel Hidalgo, William Woodall, ivanpauno

 -- William Woodall <william@osrfoundation.org>  Wed, 08 May 2019 07:00:00 -0000

ros-dashing-demo-nodes-cpp (0.7.1-1bionic) bionic; urgency=high

  * Updated to declare parameters. (#241 <https://github.com/ros2/demos/issues/241>)
  * Contributors: Shane Loretz

 -- William Woodall <william@osrfoundation.org>  Fri, 26 Apr 2019 07:00:00 -0000

ros-dashing-demo-nodes-cpp (0.7.0-1bionic) bionic; urgency=high

  * Moved away from deprecated rclcpp APIs. (#321 <https://github.com/ros2/demos/issues/321>)
  * Added launch along with launch_testing as test dependencies. (#313 <https://github.com/ros2/demos/issues/313>)
  * Updated for NodeOptions Node constructor. (#308 <https://github.com/ros2/demos/issues/308>)
  * Contributors: Emerson Knapp, Michael Carroll, Michel Hidalgo

 -- William Woodall <william@osrfoundation.org>  Sun, 14 Apr 2019 07:00:00 -0000

ros-dashing-demo-nodes-cpp (0.6.2-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 15 Jan 2019 08:00:00 -0000

ros-dashing-demo-nodes-cpp (0.6.1-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 13 Dec 2018 08:00:00 -0000

ros-dashing-demo-nodes-cpp (0.6.0-1bionic) bionic; urgency=high

  * Added semicolons to all RCLCPP and RCUTILS macros. (#278 <https://github.com/ros2/demos/issues/278>)
  * Removed parameter node, all nodes take parameter by default now (#265 <https://github.com/ros2/demos/issues/265>)
  * Added example of registering custom parameter validation callbacks (#273 <https://github.com/ros2/demos/issues/273>)
  * Removed imu_listener node (#272 <https://github.com/ros2/demos/issues/272>)
  * Refined demo_nodes_cpp source codes (#269 <https://github.com/ros2/demos/issues/269>)
  * Fixed typo in comment (#268 <https://github.com/ros2/demos/issues/268>)
  * Removed rosidl deps as this package doesnt generate any messages (#264 <https://github.com/ros2/demos/issues/264>)
  * Fixed no return code for main() in several files (#266 <https://github.com/ros2/demos/issues/266>)
  * Contributors: Chris Lalancette, Mikael Arguedas, Yutaka Kondo, testkit

 -- William Woodall <william@osrfoundation.org>  Fri, 07 Dec 2018 08:00:00 -0000

ros-dashing-demo-nodes-cpp (0.5.1-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 28 Jun 2018 07:00:00 -0000

ros-dashing-demo-nodes-cpp (0.5.0-1bionic) bionic; urgency=high

  * Reduced the publishing of the allocator_tutorial to 100Hz. (#257 <https://github.com/ros2/demos/issues/257>)
    * Signed-off-by: Chris Lalancette <mailto:clalancette@openrobotics.org>
  * Removed the now obsolete ros2param executable, use ``ros2 param`` instead. (#251 <https://github.com/ros2/demos/issues/251>)
  * Fixed a potiential nullptr dereference issue in ``demo_nodes_cpp``. (#242 <https://github.com/ros2/demos/issues/242>)
  * Added demo nodes which use the new serialized message typed publishers and subscriptions. (#185 <https://github.com/ros2/demos/issues/185>)
  * Added a new-style launch file for the talker and listener demo nodes, called ``talker_listener.launch.py``. (#244 <https://github.com/ros2/demos/issues/244>)
  * Updated launch files to account for the "old launch" getting renamespaced as ``launch`` -> ``launch.legacy``. (#239 <https://github.com/ros2/demos/issues/239>)
  * Updated to handle refactor of the ``ParameterVariant`` class. (#237 <https://github.com/ros2/demos/issues/237>)
  * Updated to account for the fact that the ROS Parameter services starts automatically now. (#236 <https://github.com/ros2/demos/issues/236>)
  * Added some uses of parameter arrays to the ``set_and_get_parameters`` demo. (#235 <https://github.com/ros2/demos/issues/235>)
  * Contributors: Chris Lalancette, Dirk Thomas, Karsten Knese, Mikael Arguedas, Shane Loretz, William Woodall, cshen

 -- William Woodall <william@osrfoundation.org>  Wed, 27 Jun 2018 07:00:00 -0000

=== debian/control ===
Source: ros-dashing-demo-nodes-cpp
Section: misc
Priority: extra
Maintainer: William Woodall <william@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake, ros-dashing-ament-cmake-pytest, ros-dashing-ament-lint-auto, ros-dashing-ament-lint-common, ros-dashing-example-interfaces, ros-dashing-launch, ros-dashing-launch-testing, ros-dashing-launch-testing-ament-cmake, ros-dashing-launch-testing-ros, ros-dashing-rclcpp, ros-dashing-rcutils, ros-dashing-rmw, ros-dashing-rmw-implementation-cmake, ros-dashing-std-msgs, ros-dashing-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-demo-nodes-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-example-interfaces, ros-dashing-launch-ros, ros-dashing-rclcpp, ros-dashing-rcutils, ros-dashing-rmw, ros-dashing-std-msgs, ros-dashing-ros-workspace
Description: C++ nodes which were previously in the ros2/examples repository but are now just used for demo purposes.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/dashing" \
		-DAMENT_PREFIX_PATH="/opt/ros/dashing"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-demo-nodes-cpp//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
